Index: linux-kj/arch/ppc/4xx_io/serial_sicc.c
===================================================================
--- linux-kj.orig/arch/ppc/4xx_io/serial_sicc.c	2005-09-21 01:19:04.000000000 +0400
+++ linux-kj/arch/ppc/4xx_io/serial_sicc.c	2005-09-21 01:21:51.000000000 +0400
@@ -1735,7 +1711,7 @@ static struct tty_operations sicc_ops = 
 	.flush_chars = siccuart_flush_chars,
 	.write_room = siccuart_write_room,
 	.chars_in_buffer = siccuart_chars_in_buffer,
-	.flush_buffer  = siccuart_flush_buffer,
+	.flush_buffer = siccuart_flush_buffer,
 	.ioctl = siccuart_ioctl,
 	.throttle = siccuart_throttle,
 	.unthrottle = siccuart_unthrottle,
@@ -1750,36 +1726,37 @@ static struct tty_operations sicc_ops = 
 
 int __init siccuart_init(void)
 {
-    int i;
-    siccnormal_driver = alloc_tty_driver(SERIAL_SICC_NR);
-    if (!siccnormal_driver)
-	return -ENOMEM;
-    printk("IBM Vesta SICC serial port driver V 0.1 by Yudong Yang and Yi Ge / IBM CRL .\n");
-    siccnormal_driver->driver_name = "serial_sicc";
-    siccnormal_driver->owner = THIS_MODULE;
-    siccnormal_driver->name = SERIAL_SICC_NAME;
-    siccnormal_driver->major = SERIAL_SICC_MAJOR;
-    siccnormal_driver->minor_start = SERIAL_SICC_MINOR;
-    siccnormal_driver->type = TTY_DRIVER_TYPE_SERIAL;
-    siccnormal_driver->subtype = SERIAL_TYPE_NORMAL;
-    siccnormal_driver->init_termios = tty_std_termios;
-    siccnormal_driver->init_termios.c_cflag = B9600 | CS8 | CREAD | HUPCL | CLOCAL;
-    siccnormal_driver->flags = TTY_DRIVER_REAL_RAW | TTY_DRIVER_NO_DEVFS;
-    tty_set_operations(siccnormal_driver, &sicc_ops);
-
-    if (tty_register_driver(siccnormal_driver))
-        panic("Couldn't register SICC serial driver\n");
-
-    for (i = 0; i < SERIAL_SICC_NR; i++) {
-        struct SICC_state *state = sicc_state + i;
-        state->line     = i;
-        state->close_delay  = 5 * HZ / 10;
-        state->closing_wait = 30 * HZ;
-	spin_lock_init(&state->sicc_lock);
-    }
-
+	int i;
+	siccnormal_driver = alloc_tty_driver(SERIAL_SICC_NR);
+	if (!siccnormal_driver)
+		return -ENOMEM;
+	printk
+	    ("IBM Vesta SICC serial port driver V 0.1 by Yudong Yang and Yi Ge / IBM CRL .\n");
+	siccnormal_driver->driver_name = "serial_sicc";
+	siccnormal_driver->owner = THIS_MODULE;
+	siccnormal_driver->name = SERIAL_SICC_NAME;
+	siccnormal_driver->major = SERIAL_SICC_MAJOR;
+	siccnormal_driver->minor_start = SERIAL_SICC_MINOR;
+	siccnormal_driver->type = TTY_DRIVER_TYPE_SERIAL;
+	siccnormal_driver->subtype = SERIAL_TYPE_NORMAL;
+	siccnormal_driver->init_termios = tty_std_termios;
+	siccnormal_driver->init_termios.c_cflag =
+	    B9600 | CS8 | CREAD | HUPCL | CLOCAL;
+	siccnormal_driver->flags = TTY_DRIVER_REAL_RAW | TTY_DRIVER_NO_DEVFS;
+	tty_set_operations(siccnormal_driver, &sicc_ops);
+
+	if (tty_register_driver(siccnormal_driver))
+		panic("Couldn't register SICC serial driver\n");
+
+	for (i = 0; i < SERIAL_SICC_NR; i++) {
+		struct SICC_state *state = sicc_state + i;
+		state->line = i;
+		state->close_delay = 5 * HZ / 10;
+		state->closing_wait = 30 * HZ;
+		spin_lock_init(&state->sicc_lock);
+	}
 
-    return 0;
+	return 0;
 }
 
 __initcall(siccuart_init);
@@ -1796,26 +1773,26 @@ __initcall(siccuart_init);
 #ifdef used_and_not_const_char_pointer
 static int siccuart_console_read(struct console *co, const char *s, u_int count)
 {
-    struct SICC_port *port = &sicc_ports[co->index];
-    unsigned int status;
-    char *w;
-    int c;
-
-    pr_debug("siccuart_console_read() called\n");
-
-    c = 0;
-    w = s;
-    while (c < count) {
-        if(readb(port->uart_base +  BL_SICC_LSR) & _LSR_RBR_FULL) {
-            *w++ = readb(port->uart_base +  BL_SICC_RBR);
-            c++;
-        } else {
-            // nothing more to get, return
-            return c;
-        }
-    }
-    // return the count
-    return c;
+	struct SICC_port *port = &sicc_ports[co->index];
+	unsigned int status;
+	char *w;
+	int c;
+
+	pr_debug("siccuart_console_read() called\n");
+
+	c = 0;
+	w = s;
+	while (c < count) {
+		if (readb(port->uart_base + BL_SICC_LSR) & _LSR_RBR_FULL) {
+			*w++ = readb(port->uart_base + BL_SICC_RBR);
+			c++;
+		} else {
+			// nothing more to get, return
+			return c;
+		}
+	}
+	// return the count
+	return c;
 }
 #endif
 
@@ -1825,36 +1802,40 @@ static int siccuart_console_read(struct 
  *
  *  The console_lock must be held when we get here.
  */
-static void siccuart_console_write(struct console *co, const char *s, u_int count)
+static void siccuart_console_write(struct console *co, const char *s,
+				   u_int count)
 {
-    struct SICC_port *port = &sicc_ports[co->index];
-    unsigned int old_cr;
-    int i;
-
-    /*
-     *  First save the CR then disable the interrupts
-     */
-    old_cr = readb(port->uart_base +  BL_SICC_TxCR);
-    writeb(old_cr & ~_TxCR_DME_MASK, port->uart_base +  BL_SICC_TxCR);
-
-    /*
-     *  Now, do each character
-     */
-    for (i = 0; i < count; i++) {
-        while ((readb(port->uart_base +  BL_SICC_LSR)&_LSR_TX_ALL) != _LSR_TX_ALL);
-        writeb(s[i], port->uart_base +  BL_SICC_TBR);
-        if (s[i] == '\n') {
-            while ((readb(port->uart_base +  BL_SICC_LSR)&_LSR_TX_ALL) != _LSR_TX_ALL);
-            writeb('\r', port->uart_base +  BL_SICC_TBR);
-        }
-    }
-
-    /*
-     *  Finally, wait for transmitter to become empty
-     *  and restore the TCR
-     */
-    while ((readb(port->uart_base +  BL_SICC_LSR)&_LSR_TX_ALL) != _LSR_TX_ALL);
-    writeb(old_cr, port->uart_base +  BL_SICC_TxCR);
+	struct SICC_port *port = &sicc_ports[co->index];
+	unsigned int old_cr;
+	int i;
+
+	/*
+	 *  First save the CR then disable the interrupts
+	 */
+	old_cr = readb(port->uart_base + BL_SICC_TxCR);
+	writeb(old_cr & ~_TxCR_DME_MASK, port->uart_base + BL_SICC_TxCR);
+
+	/*
+	 *  Now, do each character
+	 */
+	for (i = 0; i < count; i++) {
+		while ((readb(port->uart_base + BL_SICC_LSR) & _LSR_TX_ALL) !=
+		       _LSR_TX_ALL) ;
+		writeb(s[i], port->uart_base + BL_SICC_TBR);
+		if (s[i] == '\n') {
+			while ((readb(port->uart_base + BL_SICC_LSR) &
+				_LSR_TX_ALL) != _LSR_TX_ALL) ;
+			writeb('\r', port->uart_base + BL_SICC_TBR);
+		}
+	}
+
+	/*
+	 *  Finally, wait for transmitter to become empty
+	 *  and restore the TCR
+	 */
+	while ((readb(port->uart_base + BL_SICC_LSR) & _LSR_TX_ALL) !=
+	       _LSR_TX_ALL) ;
+	writeb(old_cr, port->uart_base + BL_SICC_TxCR);
 }
 
 /*
@@ -1862,12 +1843,12 @@ static void siccuart_console_write(struc
  */
 static int siccuart_console_wait_key(struct console *co)
 {
-    struct SICC_port *port = &sicc_ports[co->index];
-    int c;
+	struct SICC_port *port = &sicc_ports[co->index];
+	int c;
 
-    while(!(readb(port->uart_base +  BL_SICC_LSR) & _LSR_RBR_FULL));
-    c = readb(port->uart_base +  BL_SICC_RBR);
-    return c;
+	while (!(readb(port->uart_base + BL_SICC_LSR) & _LSR_RBR_FULL)) ;
+	c = readb(port->uart_base + BL_SICC_RBR);
+	return c;
 }
 
 static struct tty_driver *siccuart_console_device(struct console *c, int *index)
@@ -1878,135 +1859,164 @@ static struct tty_driver *siccuart_conso
 
 static int __init siccuart_console_setup(struct console *co, char *options)
 {
-    struct SICC_port *port;
-    int baud = 9600;
-    int bits = 8;
-    int parity = 'n';
-    u_int cflag = CREAD | HUPCL | CLOCAL;
-    u_int lcr_h, quot;
-
-
-    if (co->index >= SERIAL_SICC_NR)
-        co->index = 0;
-
-    port = &sicc_ports[co->index];
-
-    if (port->uart_base == 0)
-	port->uart_base = (int)ioremap(port->uart_base_phys, PAGE_SIZE);
-
-    if (options) {
-        char *s = options;
-        baud = simple_strtoul(s, NULL, 10);
-        while (*s >= '0' && *s <= '9')
-            s++;
-        if (*s) parity = *s++;
-        if (*s) bits = *s - '0';
-    }
-
-    /*
-     *    Now construct a cflag setting.
-     */
-    switch (baud) {
-    case 1200:  cflag |= B1200;         break;
-    case 2400:  cflag |= B2400;         break;
-    case 4800:  cflag |= B4800;         break;
-    default:    cflag |= B9600;   baud = 9600;  break;
-    case 19200: cflag |= B19200;        break;
-    case 38400: cflag |= B38400;        break;
-    case 57600: cflag |= B57600;        break;
-    case 115200:    cflag |= B115200;       break;
-    }
-    switch (bits) {
-    case 7:   cflag |= CS7; lcr_h = _LCR_PE_DISABLE | _LCR_DB_7_BITS | _LCR_SB_1_BIT;   break;
-    default:  cflag |= CS8; lcr_h = _LCR_PE_DISABLE | _LCR_DB_8_BITS | _LCR_SB_1_BIT;   break;
-    }
-    switch (parity) {
-    case 'o':
-    case 'O': cflag |= PARODD; lcr_h |= _LCR_PTY_ODD;   break;
-    case 'e':
-    case 'E': cflag |= PARENB; lcr_h |= _LCR_PE_ENABLE |  _LCR_PTY_ODD; break;
-    }
-
-    co->cflag = cflag;
-
-
-       {
-           // a copy of is inserted here ppc403SetBaud(com_port, (int)9600);
-           unsigned long divisor, clockSource, temp;
-           unsigned int rate = baud;
-
-          /* Ensure CICCR[7] is 0 to select Internal Baud Clock */
-          powerpcMtcic_cr((unsigned long)(powerpcMfcic_cr() & 0xFEFFFFFF));
-
-          /* Determine Internal Baud Clock Frequency */
-          /* powerpcMfclkgpcr() reads DCR 0x120 - the*/
-          /* SCCR (Serial Clock Control Register) on Vesta */
-          temp = powerpcMfclkgpcr();
-
-          if(temp & 0x00000080) {
-              clockSource = 324000000;
-          }
-          else {
-              clockSource = 216000000;
-          }
-          clockSource = clockSource/(unsigned long)((temp&0x00FC0000)>>18);
-          divisor = clockSource/(16*rate) - 1;
-          /* divisor has only 12 bits of resolution */
-          if(divisor>0x00000FFF){
-               divisor=0x00000FFF;
-          }
-
-          quot = divisor;
-       }
-
-    writeb((quot & 0x00000F00)>>8, port->uart_base + BL_SICC_BRDH );
-    writeb( quot & 0x00000FF,      port->uart_base   + BL_SICC_BRDL );
-
-    /* Set CTL2 reg to use external clock (ExtClk) and enable FIFOs. */
-    /* For now, do NOT use FIFOs since 403 UART did not have this    */
-    /* capability and this driver was inherited from 403UART.        */
-    writeb(_CTL2_EXTERN, port->uart_base  + BL_SICC_CTL2);
-
-    writeb(lcr_h, port->uart_base + BL_SICC_LCR);
-    writeb(_RCR_ER_ENABLE | _RCR_PME_HARD, port->uart_base + BL_SICC_RCR);
-    writeb( _TxCR_ET_ENABLE , port->uart_base + BL_SICC_TxCR);
-
-    // writeb(, info->port->uart_base + BL_SICC_RCR );
-    /*
-     * Transmitter Command Register: Transmitter enabled & DMA + TBR interrupt
-     * + Transmitter Empty interrupt + Transmitter error interrupt disabled &
-     * Stop mode when CTS active enabled & Transmit Break + Pattern Generation
-     * mode disabled.
-     */
-
-    writeb( 0x00, port->uart_base + BL_SICC_IrCR );  // disable IrDA
-
-    readb(port->uart_base + BL_SICC_RBR);
-
-    writeb(0xf8, port->uart_base + BL_SICC_LSR);   /* reset bits 0-4 of LSR */
-
-    /* we will enable the port as we need it */
-
-    return 0;
-}
-
-static struct console siccuart_cons =
-{
-    .name =     SERIAL_SICC_NAME,
-    .write =    siccuart_console_write,
+	struct SICC_port *port;
+	int baud = 9600;
+	int bits = 8;
+	int parity = 'n';
+	u_int cflag = CREAD | HUPCL | CLOCAL;
+	u_int lcr_h, quot;
+
+	if (co->index >= SERIAL_SICC_NR)
+		co->index = 0;
+
+	port = &sicc_ports[co->index];
+
+	if (port->uart_base == 0)
+		port->uart_base = (int)ioremap(port->uart_base_phys, PAGE_SIZE);
+
+	if (options) {
+		char *s = options;
+		baud = simple_strtoul(s, NULL, 10);
+		while (*s >= '0' && *s <= '9')
+			s++;
+		if (*s)
+			parity = *s++;
+		if (*s)
+			bits = *s - '0';
+	}
+
+	/*
+	 *    Now construct a cflag setting.
+	 */
+	switch (baud) {
+	case 1200:
+		cflag |= B1200;
+		break;
+	case 2400:
+		cflag |= B2400;
+		break;
+	case 4800:
+		cflag |= B4800;
+		break;
+	default:
+		cflag |= B9600;
+		baud = 9600;
+		break;
+	case 19200:
+		cflag |= B19200;
+		break;
+	case 38400:
+		cflag |= B38400;
+		break;
+	case 57600:
+		cflag |= B57600;
+		break;
+	case 115200:
+		cflag |= B115200;
+		break;
+	}
+	switch (bits) {
+	case 7:
+		cflag |= CS7;
+		lcr_h = _LCR_PE_DISABLE | _LCR_DB_7_BITS | _LCR_SB_1_BIT;
+		break;
+	default:
+		cflag |= CS8;
+		lcr_h = _LCR_PE_DISABLE | _LCR_DB_8_BITS | _LCR_SB_1_BIT;
+		break;
+	}
+	switch (parity) {
+	case 'o':
+	case 'O':
+		cflag |= PARODD;
+		lcr_h |= _LCR_PTY_ODD;
+		break;
+	case 'e':
+	case 'E':
+		cflag |= PARENB;
+		lcr_h |= _LCR_PE_ENABLE | _LCR_PTY_ODD;
+		break;
+	}
+
+	co->cflag = cflag;
+
+	{
+		// a copy of is inserted here ppc403SetBaud(com_port, (int)9600);
+		unsigned long divisor, clockSource, temp;
+		unsigned int rate = baud;
+
+		/* Ensure CICCR[7] is 0 to select Internal Baud Clock */
+		powerpcMtcic_cr((unsigned long)(powerpcMfcic_cr() &
+						0xFEFFFFFF));
+
+		/* Determine Internal Baud Clock Frequency */
+		/* powerpcMfclkgpcr() reads DCR 0x120 - the */
+		/* SCCR (Serial Clock Control Register) on Vesta */
+		temp = powerpcMfclkgpcr();
+
+		if (temp & 0x00000080) {
+			clockSource = 324000000;
+		} else {
+			clockSource = 216000000;
+		}
+		clockSource =
+		    clockSource / (unsigned long)((temp & 0x00FC0000) >> 18);
+		divisor = clockSource / (16 * rate) - 1;
+		/* divisor has only 12 bits of resolution */
+		if (divisor > 0x00000FFF) {
+			divisor = 0x00000FFF;
+		}
+
+		quot = divisor;
+	}
+
+	writeb((quot & 0x00000F00) >> 8, port->uart_base + BL_SICC_BRDH);
+	writeb(quot & 0x00000FF, port->uart_base + BL_SICC_BRDL);
+
+	/* Set CTL2 reg to use external clock (ExtClk) and enable FIFOs. */
+	/* For now, do NOT use FIFOs since 403 UART did not have this    */
+	/* capability and this driver was inherited from 403UART.        */
+	writeb(_CTL2_EXTERN, port->uart_base + BL_SICC_CTL2);
+
+	writeb(lcr_h, port->uart_base + BL_SICC_LCR);
+	writeb(_RCR_ER_ENABLE | _RCR_PME_HARD, port->uart_base + BL_SICC_RCR);
+	writeb(_TxCR_ET_ENABLE, port->uart_base + BL_SICC_TxCR);
+
+	// writeb(, info->port->uart_base + BL_SICC_RCR );
+	/*
+	 * Transmitter Command Register: Transmitter enabled & DMA + TBR interrupt
+	 * + Transmitter Empty interrupt + Transmitter error interrupt disabled &
+	 * Stop mode when CTS active enabled & Transmit Break + Pattern Generation
+	 * mode disabled.
+	 */
+
+	writeb(0x00, port->uart_base + BL_SICC_IrCR);	// disable IrDA
+
+	readb(port->uart_base + BL_SICC_RBR);
+
+	writeb(0xf8, port->uart_base + BL_SICC_LSR);	/* reset bits 0-4 of LSR */
+
+	/* we will enable the port as we need it */
+
+	return 0;
+}
+
+static struct console siccuart_cons = {
+	.name = SERIAL_SICC_NAME,
+	.write = siccuart_console_write,
 #ifdef used_and_not_const_char_pointer
-    .read =     siccuart_console_read,
+	.read = siccuart_console_read,
 #endif
-    .device =   siccuart_console_device,
-    .wait_key = siccuart_console_wait_key,
-    .setup =    siccuart_console_setup,
-    .flags =    CON_PRINTBUFFER,
-    .index =    -1,
+	.device = siccuart_console_device,
+	.wait_key = siccuart_console_wait_key,
+	.setup = siccuart_console_setup,
+	.flags = CON_PRINTBUFFER,
+	.index = -1,
 };
 
 void __init sicc_console_init(void)
 {
-    register_console(&siccuart_cons);
+	register_console(&siccuart_cons);
 }
 
-#endif /* CONFIG_SERIAL_SICC_CONSOLE */
+#endif				/* CONFIG_SERIAL_SICC_CONSOLE */
